<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="14dp"
        android:layout_marginTop="12dp"
        android:layout_marginRight="14dp"
        android:background="@drawable/bg_white_10dp">

        <ImageView
            android:id="@+id/im_clock"
            android:layout_width="@dimen/dp_16"
            android:layout_height="@dimen/dp_16"
            android:layout_marginLeft="11dp"
            android:layout_marginTop="@dimen/dp_12"
            android:background="@drawable/icon_clock"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_date"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7dp"
            android:text="2021/09/17 14:00~15:00"
            android:textColor="@color/color_666666"
            android:textSize="@dimen/sp_13"
            app:layout_constraintBottom_toBottomOf="@+id/im_clock"
            app:layout_constraintLeft_toRightOf="@+id/im_clock"
            app:layout_constraintTop_toTopOf="@+id/im_clock" />

        <TextView
            android:id="@+id/tv_state"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="11dp"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintBottom_toBottomOf="@+id/im_clock"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/im_clock" />

        <View
            android:id="@+id/view_line"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginRight="9dp"
            android:background="@color/color_f2f2f2"
            app:layout_constraintTop_toBottomOf="@+id/im_clock" />

        <com.cooleshow.base.widgets.QMUIRadiusImageView
            android:id="@+id/im_header"
            android:layout_width="@dimen/dp_47"
            android:layout_height="@dimen/dp_51"
            android:layout_marginLeft="11dp"
            android:layout_marginTop="17dp"
            android:layout_marginBottom="20dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/view_line"
            app:qmui_corner_radius="5dp" />

        <TextView
            android:id="@+id/tv_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:text="张豆豆"
            android:textColor="@color/color_1a1a1a"
            android:textSize="@dimen/sp_16"
            app:layout_constraintLeft_toRightOf="@+id/im_header"
            app:layout_constraintTop_toTopOf="@+id/im_header" />

        <ImageView
            android:id="@+id/iv_go_chat"
            android:layout_width="@dimen/dp_19"
            android:layout_height="@dimen/dp_18"
            android:layout_marginLeft="5dp"
            android:background="@drawable/icon_chat_small"
            app:layout_constraintBottom_toBottomOf="@+id/tv_name"
            app:layout_constraintLeft_toRightOf="@+id/tv_name"
            app:layout_constraintTop_toTopOf="@+id/tv_name" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_mark"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="@+id/im_header"
            app:layout_constraintLeft_toRightOf="@+id/im_header" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</FrameLayout>